Subject: RFC 2782: Usage rules

From: Stuart Cheshire <[email-masked]>
Date: Sat, 13 May 2000 18:49:36 -0700

> Usage rules
> 
> A SRV-cognizant client SHOULD use this procedure to locate a list of
> servers and connect to the preferred one:
> 
> Do a lookup for QNAME=_service._protocol.target, QCLASS=IN,
> QTYPE=SRV.

Everywhere else in the RFC, the term "target" is used to refer to a
component of the value of the SRV RR (the thing that appears on the
right-hand side), whereas here it is being used to refer to a sub-part of
the name of the SRV RR (the thing that appears on the left-hand side). It
might be clearer to say:

"Do a lookup for QNAME=_service._protocol.domain, QCLASS=IN,..."

Stuart Cheshire <[email-masked]>

to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.